Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 256703 - kde-base/krossruby-4.4.1 and earlier: Failure to find libruby; not Ruby 1.9 compatible
Summary: kde-base/krossruby-4.4.1 and earlier: Failure to find libruby; not Ruby 1.9 c...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard: [kde testing]
Keywords: InOverlay
: 265370 278970 295439 308185 (view as bug list)
Depends on:
Blocks: 203706
  Show dependency tree
 
Reported: 2009-01-28 22:01 UTC by Alex Legler (RETIRED)
Modified: 2010-03-31 22:39 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log provided by a user (krossruby-build.log,6.09 KB, text/plain)
2009-01-28 22:02 UTC, Alex Legler (RETIRED)
Details
Rubified version of the ebuild. (krossruby-4.4.0-r1.ebuild,1014 bytes, text/plain)
2010-02-16 21:52 UTC, Andreas K. Hüttel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-28 22:01:14 UTC
If there is no libruby.so symlink, the configure stage of krossruby fails. Generally, the output of "ruby -rrbconfig -e 'puts RbConfig::CONFIG["RUBY_SO_NAME"]'" should be taken as the name (that will look like "ruby18"), and not just "ruby".

In this particular case, krossruby does not seem to be compatible to Ruby 1.9. 
Thus, please depend explicitly on dev-lang/ruby-1.8* and build against libruby18.so (as shown in krossruby's README). This will also fix the first issue in one go.

Thanks!
Comment 1 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-28 22:02:11 UTC
Created attachment 180020 [details]
Build log provided by a user
Comment 2 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-07 21:07:28 UTC
*** Bug 265370 has been marked as a duplicate of this bug. ***
Comment 3 Martin Berkemeier 2009-04-10 11:46:06 UTC
*** Bug 265370 has been marked as a duplicate of this bug. ***
Comment 4 Maciej Mrozowski gentoo-dev 2009-10-17 10:57:25 UTC
*** Bug 278970 has been marked as a duplicate of this bug. ***
Comment 5 Shaun Oleson 2010-02-02 01:40:23 UTC
I can confirm the same issue on a fresh gentoo & kde4 install. The Ruby version installed with this issue is: 1.8.7_p249. Here is my emerge --info. Please let me know if you need anything else. 

Portage 2.2_rc62 (default/linux/amd64/10.0/desktop, gcc-4.3.4, glibc-2.11-r1, 2.6.32-gentoo-r3 x86_64)
=================================================================
System uname: Linux-2.6.32-gentoo-r3-x86_64-Intel-R-_Core-TM-_i7_CPU_920_@_2.67GHz-with-gentoo-2.0.1
Timestamp of tree: Mon, 01 Feb 2010 16:00:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1, 3.1.1-r1
dev-util/cmake:      2.8.0-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.0-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.65
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.51.0.5
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.mirrors.tds.net/gentoo http://open-systems.ufl.edu/mirrors/gentoo http://gentoo.llarian.net/ ftp://gentoo.llarian.net/pub/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="en_US"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fortran gd gdbm ggdb gif glib gnome gpm gstreamer gtk gzip hal hash iconv ipv6 jpeg kde kde4 ldap libnotify lm_sensors mad mhash mikmod mmx mng modules mp3 mp4 mpeg mssql mudflap multilib mysql ncurses nls nptl nptlonly offensive ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection rss sdl semantic-desktop session simplexml sockets spell spl sql sse sse2 ssl startup-notification svg sysfs tcpd threads thunar tidy tiff truetype unicode usb vorbis webkit x264 xcomposite xml xmlreader xmlwriter xorg xulrunner xv xvid zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias proxy proxy_http" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 6 Andreas K. Hüttel gentoo-dev 2010-02-16 21:48:12 UTC
*** Bug 295439 has been marked as a duplicate of this bug. ***
Comment 7 Andreas K. Hüttel gentoo-dev 2010-02-16 21:52:18 UTC
Created attachment 219941 [details]
Rubified version of the ebuild.

I made a "rubified" version of the ebuild, which now uses the ruby-ng eclass and builds correctly without the symlink. It builds and installs fine, but I cannot test the functionality, so please give feedback. 

It should be trivial to switch this ebuild to ruby-1.9 (just change the USE_RUBY setting), however, it can not support two or more concurrently installed ruby engines at the moment.
Comment 8 Andreas K. Hüttel gentoo-dev 2010-03-03 00:20:37 UTC
Still valid for krossruby-4.4.1
The attached ebuild also still works without modifications.
Comment 9 Andreas K. Hüttel gentoo-dev 2010-03-07 12:41:59 UTC
*** Bug 308185 has been marked as a duplicate of this bug. ***
Comment 10 Andreas K. Hüttel gentoo-dev 2010-03-16 21:29:15 UTC
The attached ebuild is now in the kde overlay as kde-base/krossruby-4.4.1-r1. 

Note that it is still incompatible with ruby-1.9.
At least with ruby-1.8 it should work out of the box now, though.
Comment 11 Andreas K. Hüttel gentoo-dev 2010-03-31 22:39:22 UTC
Fixed in 4.4.2.